      subroutine retourne(v, dimv)

c     cette subroutine met la premiere valeur d'un vecteur en
c     derniere position etc...
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
      implicit none 
      integer dimv, i, max
      real*8 v, r, temp
      
      dimension  v(1:dimv)
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
      r = dimv /2.d+0
      max = int(r) 

      do i=1, max
         temp = v(i)
         v(i) = v(dimv-i+1)
         v(dimv-i+1)=temp
      enddo
      
      return
      end
